
/***************************************************************************
                 module classe sshn.h  -  description
***************************************************************************/
// Mohamed Berrada
// locean-ipsl.upmc, Paris, April 24, 2009
//===========================================================================
//                          methode forward
forward (YREAL x1,YREAL x2,YREAL x3,YREAL x4)
{ /*	1	from	sshb			1  i 	j         t-1
	2	from	wa			1  i 	j    1    t-1
	3	from	sbcgyre_emp_emps	1  i 	j         t
	4	from	sshn_c          	1  i 	j */

  double zraur  = 1. / rauw;

  /* YS1  */
  /*     A 7.917544669737969e-08
	 R 2.747446612126067e-05*/
  if(Yt==TU){
    YS1=x4;//sshn_neuler0(Yi,Yj);
    //    YS1=0.;
  }
  else
    YS1=x1+ r2dt * ( x2 - x3*zraur)*tmask(Yi,Yj,0);
  //
}

//===========================================================================
//                         methode  backward

backward (YREAL x1,YREAL x2,YREAL x3,YREAL x4)
{
  double zraur  = 1. / rauw;
  YJ1I1=0.;     YJ1I2=0.;    YJ1I3=0.;    YJ1I4=0.;
  
  if(Yt==TU){
    YJ1I4=1.;
  }
  else{
    YJ1I1=1.;
    YJ1I2=r2dt*tmask(Yi,Yj,0);
    YJ1I3=-r2dt*zraur*tmask(Yi,Yj,0);
  }
  //
}

//===========================================================================
//**************************  FIN DU MODULE sshn   **************************

