
/***************************************************************************
                 module classe sum_spgu_dynspg_flt.h  -  description
***************************************************************************/
// Mohamed Berrada
// locean-ipsl.upmc, Paris, April 20, 2009
//===========================================================================
//                          methode forward
forward ()
{ /*	1..NZ	from	ua_1_dynspg_flt		1  i 	j   1..NZ */

  /* YS1  */
  /*     A 2.118821770102610e-01
	 R 1.866715481224456e-07*/ 
  /* YS1  v clonol*/
  /*     A 2.102448613964121e-01
	 R 1.867828604113514e-07*/
  if(Yt==TU)
    YS1=0.;
  else{
    if(Yi==0 || Yi==NX-1 || Yj==0 || Yj==NY-1  ){
      YS1=0.;//lbc_lnk boundaries
    }
    else{
      double sum=0.;
      for(int k=0;k<NZ-1;k++)
	sum=sum+ fse3u(Yi,Yj,k) * Yting[k];
      YS1=sum * e2u(Yi,Yj);  
    }
  }
  //
}

//===========================================================================
//                         methode  backward

backward ()
{
  for(int k=0;k<NZ;k++)  Yjac[0][k]    =0.;
  if(Yt!=TU){  
    if(Yi==0 || Yi==NX-1 || Yj==0 || Yj==NY-1  ){
      for(int j=0;j<NZ;j++)  Yjac[0][j]    =0.;
    }
    else{
      for(int k=0;k<NZ-1;k++){
	Yjac[0][k]    = fse3u(Yi,Yj,k)* e2u(Yi,Yj);
	//if(Yt==6 && Yi==28 && Yj==3)  xtest("sum_spgu_dynspg_flt",Yjac[0][k],Yi,Yj,k,Yt);
      }
    }
  }
  //	if(Yt==6 && Yi==28 && Yj==3)  xtest("sum_spgu_dynspg_flt YG",YG_sum_spgu_dynspg_flt(0,Yi,Yj,Yt),Yi,Yj,0,Yt);
  //
}

//===========================================================================
//******************  FIN DU MODULE sum_spgu_dynspg_flt   *******************

