function [N,RPD,URPD,MAD,RMS,slope,intercept,r2]=make_stats(x,y)
%[N,RPD,URPD,MAD,RMS,slope,intercept,r2]=make_stats(x,y)
%d'aprs QC_methodology_for_OeanAC.pdf

x=x(:);
y=y(:);
if length(x)~=length(y)
  disp('Dimensions incompatibles')
  return
end

N=length(x);
RPD=(1./N)*sum((x-y)./y);
URPD=(1./N)*sum(abs(x-y)./y);
MAD=mean(x-y);
RMS=sqrt((1./N)*sum((x-y).^2));
slope=(mean(x.*y)-mean(y)*mean(x))./(mean(y.^2) - mean(y).^2);
intercept=mean(x)-slope*mean(y);
r2=(mean(x.*y) - mean(y)*mean(x)).^2/((mean(y.^2) - mean(y).^2)*(mean(y.^2) ...
                                     - mean(y).^2));
xc=x-mean(x);
yc=y-mean(y);

r2=sum(xc.*yc)^2./(sum(xc.^2)*sum(yc.^2));