#!/bin/sh
#PBS -e ../scripts/script_outputs/error.out
#PBS -o ../scripts/script_outputs/sinobad.out
#PBS -q short
#PBS -l ncpus=6,nodes=1:x64

#run reference experience
#Command to submit the job:
#qsub run_batch_sinobad.sh
cd $PBS_O_WORKDIR
cd ../src/

echo "****************************************" 
echo "*       run reference experiment       *"
echo "*              (parallel)              *"
echo "*              26/04/2011              *"
echo "*  julien.brajard@locean-ipsl.upmc.fr  *"
echo "****************************************"

#$YAODIR/etc/YaoI -p +O3 sinobad
export YAODIR=/usr/home/jbrlod/these/software/yao_trunk
export OMP_NUM_THREADS=6
echo $YAODIR
echo $OMP_NUM_THREADS
make clean
make
time ./sinobad -i ../scripts/sinobad.i
cd ../data_out
./check_short.py

