
/***************************************************************************
                 module classe dta_zfil.h  -  description
***************************************************************************/
// Mohamed Berrada
// locean-ipsl.upmc, Paris, July 21, 2011
//===========================================================================
//                          methode forward
forward (YREAL x1,YREAL x2,YREAL x3,YREAL x4)
{ /*	1	from	dta_lfil      		1  i 	j    k     t
	2	from	dta_zfil		1  i 	j    k     t-1 
	3	from	zwy_zfil		1  i 	j    k+1   t 
 	4	from	zwy_zfil		1  i 	j    k     t*/
  //if (Yi==5 && Yj==5)
  //printf("dta_zfil : %d\n",Yt);
  if(Yt==1){
    double wm12=1./sqrt(fse3t(Yi,Yj,Yk)); //1/sqrt(dz)
    YS1=wm12*x1;
  }
  else{
    if(Yi==0 || Yi==NX-1 || Yj==0 || Yj==NY-1 || Yk==NZ-1){
      YS1=0.;
    }
    else{
      double ze3tr=1.e0 / fse3t(Yi,Yj,Yk);// ! 1 sur le pas veritcal au point t 
      YS1 = x2+ pdtz_fil* ( x4 - x3) * ze3tr;
    }
  }
  /*    if(Yt==1 && Yk==0 && Yi<26 && Yi>22 && Yj<17 && Yj>13) 
printf("nuz1(%d,%d) = %24.16e \n",Yi+1,Yj+1,YS1);
    if(Yt==40 && Yk==0 && Yi<26 && Yi>22 && Yj<17 && Yj>13) 
    printf("nuz40(%d,%d) = %24.16e \n",Yi+1,Yj+1,YS1);*/
  //
}

//===========================================================================
//                         methode  backward

backward (YREAL x1,YREAL x2,YREAL x3,YREAL x4)
{
  YJ1I1=0.;     YJ1I2=0.;    YJ1I3=0.;    YJ1I4=0.;
  if(Yt==1){
    double wm12=1./sqrt(fse3t(Yi,Yj,Yk)); //1/sqrt(dz)
    YJ1I1=wm12;
  }
  else{
    if(Yi==0 || Yi==NX-1 || Yj==0 || Yj==NY-1 || Yk==NZ-1){
      YJ1I1=0.;     YJ1I2=0.;    YJ1I3=0.;    YJ1I4=0.;
    }
    else{
      double ze3tr=1.e0 / fse3t(Yi,Yj,Yk);// ! 1 sur le pas veritcal au point t 
      YJ1I1=0.;     YJ1I2=1.;    YJ1I3=-pdtz_fil*ze3tr;    YJ1I4=pdtz_fil*ze3tr;
    }
  }
  //

  /* if(Ycurward==BACKWARD){
    if(Yt==1 && Yk==0 && Yi<26 && Yi>22 && Yj<17 && Yj>13) 
      printf("YG_1(%d,%d) = %24.16e \n",Yi+1,Yj+1,YG1);
      }*/
}
